Skip to main content
GET
/
v1
/
agents
/
{id}
JavaScript
import Runloop from '@runloop/api-client';

const client = new Runloop({
  bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});

const agentView = await client.agents.retrieve('id');

console.log(agentView.id);
import os
from runloop_api_client import Runloop

client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
agent_view = client.agents.retrieve(
"id",
)
print(agent_view.id)
curl --request GET \
--url https://api.runloop.ai/v1/agents/{id} \
--header 'Authorization: Bearer <token>'


{
  "id": "<string>",
  "name": "<string>",
  "create_time_ms": 123,
  "is_public": true,
  "version": "<string>",
  "source": {
    "type": "<string>",
    "npm": {
      "package_name": "<string>",
      "registry_url": "<string>",
      "agent_setup": [
        "<string>"
      ]
    },
    "pip": {
      "package_name": "<string>",
      "registry_url": "<string>",
      "agent_setup": [
        "<string>"
      ]
    },
    "object": {
      "object_id": "<string>",
      "agent_setup": [
        "<string>"
      ]
    },
    "git": {
      "repository": "<string>",
      "ref": "<string>",
      "agent_setup": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the Agent to retrieve.

Response

Agent retrieved successfully.

An Agent represents a registered AI agent entity.

id
string
required

The unique identifier of the Agent.

name
string
required

The name of the Agent.

create_time_ms
integer<int64>
required

The creation time of the Agent (Unix timestamp milliseconds).

is_public
boolean
required

Whether the Agent is publicly accessible.

version
string | null

Optional version identifier for the Agent. For npm/pip sources this is typically a semver string (e.g. '2.0.65'). For git sources it can be a branch or tag. Omitted for object sources or when not provided.

source
object | null

The source configuration for the Agent.